% this is a routine to get grid areas of different resolution
function area = get_native_area(lat_ori, lon_ori)

 % get the step of change in lat and lon
    lat_interval = abs(lat_ori(1) - lat_ori(2));
    lon_interval = abs(lon_ori(1) - lon_ori(2));


    % create native grids
    % some model lat and lon does not cover the whole earth, esp for Southern Hemisphere.

    lat_base = min(lat_ori) : lat_interval : max(lat_ori);
    lon_base = min(lon_ori) : lon_interval : max(lon_ori);
    
    num_lat = length(lat_base);
    num_lon = length(lon_base);
    
    
    latArray=bsxfun(@times,ones(num_lon,num_lat),lat_base);
    lonArray=bsxfun(@times,ones(num_lon,num_lat),lon_base');
    earthellipsoid = referenceSphere('earth','m');
    
    area = areaquad(latArray+lat_interval./2,lonArray-lon_interval./2,...
    latArray-lat_interval./2,lonArray+lon_interval./2,earthellipsoid); % area is in m2,using this one or the one below also affect 0.01 PgC



end